Bug 1800614 - Notification Drawer: not obvious how to close drawer
Summary: Notification Drawer: not obvious how to close drawer
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.6.0
Assignee: Joe Caiani
QA Contact: XiaochuanWang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-07 14:32 UTC by Samuel Padgett
Modified: 2020-08-27 08:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Version: 4.4.0-0.ci-2020-02-06-162333 Cluster ID: 4dd4683b-9318-45e7-97dd-f7b5f8debf00 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:72.0) Gecko/20100101 Firefox/72.0
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Verification screenshot (36.31 KB, image/png)
2020-08-27 08:25 UTC, XiaochuanWang
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6443 None open Bug 1800614: Add x close button to notification drawer 2020-08-26 03:39:29 UTC

Description Samuel Padgett 2020-02-07 14:32:53 UTC
The notification drawer can only be closed by clicking the bell icon in the masthead a second time (as far as I could discover). I'd expect there to be a close `x` icon in the drawer itself. I was also surprised that clicking outside the drawer didn't close it.

Comment 1 Joe Caiani 2020-05-06 17:58:02 UTC
Moving bug to upcoming sprint, will add an issue to patternfly core / react to get an X added to the drawer to close it.

Comment 2 Joe Caiani 2020-05-06 18:10:07 UTC
Added issue here: https://github.com/patternfly/patternfly-react/issues/4201

Comment 3 Joe Caiani 2020-05-29 17:29:09 UTC
will fix with contribution from upstream when ready moving to upcoming sprint

Comment 4 Joe Caiani 2020-07-20 21:17:25 UTC
Update on this, the pf notification drawer has a pr to allow for action when clicking outside the drawer. PR: https://github.com/patternfly/patternfly-react/pull/4587

Comment 8 XiaochuanWang 2020-08-27 08:25:56 UTC
Created attachment 1712788 [details]
Verification screenshot

Comment 9 XiaochuanWang 2020-08-27 08:26:41 UTC
Attached screenshot, this could be verified on 4.6.0-0.nightly-2020-08-27-030439


Note You need to log in before you can comment on or make changes to this bug.